Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589162 - Review Request: stress - A tool to put given subsystems under a specified load
Summary: Review Request: stress - A tool to put given subsystems under a specified load
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-05 14:49 UTC by Gwyn Ciesla
Modified: 2010-11-13 16:48 UTC (History)
5 users (show)

Fixed In Version: stress-1.0.4-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-10 23:42:53 UTC
terjeros: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Gwyn Ciesla 2010-05-05 14:49:58 UTC
stress is not a benchmark, but is rather a tool designed to put given
subsytems under a specified load. Instances in which this is useful
include those in which a system administrator wishes to perform tuning
activities, a kernel or libc programmer wishes to evaluate denial of 
service possibilities, etc.

SRPM: http://zanoni.jcomserv.net/fedora/stress/stress-1.0.4-1.fc12.src.rpm
SPEC: http://zanoni.jcomserv.net/fedora/stress/stress.spec

Orignally submitted under 457917 by Kevin Verma, was closed due to lack or response by submitter, and I repackaged the software.

Comment 1 Terje Røsten 2010-05-06 08:57:21 UTC
Some initial comments:

 - many files in the tarball has execute bit set, giving: 

stress.x86_64: W: spurious-executable-perm /usr/share/doc/stress-1.0.4/README
stress.x86_64: W: spurious-executable-perm /usr/share/doc/stress-1.0.4/TODO
stress.x86_64: W: spurious-executable-perm /usr/share/doc/stress-1.0.4/doc/stress.texi
stress.x86_64: W: spurious-executable-perm /usr/share/doc/stress-1.0.4/AUTHORS
stress.x86_64: W: spurious-executable-perm /usr/share/doc/stress-1.0.4/INSTALL
stress.x86_64: W: spurious-executable-perm /usr/share/doc/stress-1.0.4/doc/Makefile.am
stress.x86_64: W: spurious-executable-perm /usr/share/doc/stress-1.0.4/doc/mdate-sh
stress.x86_64: W: spurious-executable-perm /usr/share/doc/stress-1.0.4/NEWS
stress-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/stress-1.0.4/src/stress.c

Please fix that by chmod in %prep.

- You include the whole doc/ dir in %doc, however the only useful file (already
  not included) is stress.html.

- License: headers in stress.c has GPLv2+, while COPYING has GPLv3. 
  Adding to the mess the web page states GPLv2. Current sitaution
  means license tag is GPLv2+, however you should contact upstream
  about this issue.

Comment 2 Gwyn Ciesla 2010-05-06 14:43:43 UTC
SRPM: http://zanoni.jcomserv.net/fedora/stress/stress-1.0.4-2.fc12.src.rpm
SPEC: http://zanoni.jcomserv.net/fedora/stress/stress.spec

I've addressed the permissions and doc issues, but I'm not sure I agree on the licensing issue.  The license file is GPL3, the code says GPLv2+.  I see no reason I can't then use GPLv3+.  I agree that upstream should probably change their website.  If you like, you can block FE-LEGAL and we can get a formal decision on this, because I very well may be wrong.  I probably should have commented in the spec my reasoning on the license tag, and I can certainly do that if you like.

Comment 3 Terje Røsten 2010-05-06 18:12:08 UTC
Please read the following:

https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

and see if you agree that license is GPLv2+. 

Please move the chmod to %prep section. Modification of sources should happen there.

Comment 4 Gwyn Ciesla 2010-05-06 18:20:49 UTC
Ah, I'd forgotten about that page.  GPLv2+ it is.

If I move the chmod to prep, it's executed before setup extracts the tarball, and fails.  I earliest I can move it is just after setup.

SRPM: http://zanoni.jcomserv.net/fedora/stress/stress-1.0.4-3.fc12.src.rpm
SPEC: http://zanoni.jcomserv.net/fedora/stress/stress.spec

Comment 5 Chen Lei 2010-05-07 02:41:59 UTC
It'll be better to use Requires(post): info instead of /sbin/install-info
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Texinfo

INSTALL should not be included in %doc
http://fedoraproject.org/wiki/Packaging/Guidelines#Documentation

Comment 7 Terje Røsten 2010-05-07 16:40:47 UTC
Thanks, review in the works.

Comment 8 Terje Røsten 2010-05-07 16:57:55 UTC
ok rpmlint, just spelling warnings
ok sources
 sha1sum stress-1.0.4.tar.gz*
 7ccb6d76d27ddd54461a21411f2bc8491ba65168  stress-1.0.4.tar.gz
 7ccb6d76d27ddd54461a21411f2bc8491ba65168  stress-1.0.4.tar.gz.spec
 However use wget _n to preserve timestamps on the tarball
ok license GPLv2+, see comment above
ok dirs, perms and owns
ok correct language
 ! spec file
 remove a strange rm -f in %install under
 rm -f $RPM_BUILD_ROOT%{_infodir}/dir
ok docs and man page
ok buildopts
ok macros
ok utf-8 file names
ok koji:
 http://koji.fedoraproject.org/koji/taskinfo?taskID=2172740

Fix the rm issue on import.

  The package stress is APPROVED.

Comment 9 Gwyn Ciesla 2010-05-07 17:12:32 UTC
Thanks for the review!

Fix rm in what way, replace with exclude?

New Package CVS Request
=======================
Package Name: stress
Short Description: A tool to put given subsystems under a specified load
Owners: limb
Branches: F-13 F-12
InitialCC:

Comment 10 Terje Røsten 2010-05-07 18:00:05 UTC
Sorry, I was a bit short:

From:

 http://zanoni.jcomserv.net/fedora/stress/stress.spec

in the %install section:

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -f 

This last line a 'rm -f' without argument should be removed.

Comment 11 Gwyn Ciesla 2010-05-07 18:32:36 UTC
Oh, duh.  Yes, of course.  Thanks!

Comment 12 Kevin Fenzi 2010-05-09 02:08:31 UTC
CVS done (by process-cvs-requests.py).

Comment 13 Fedora Update System 2010-05-10 14:13:13 UTC
stress-1.0.4-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/stress-1.0.4-4.fc13

Comment 14 Fedora Update System 2010-05-10 14:13:18 UTC
stress-1.0.4-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/stress-1.0.4-4.fc12

Comment 15 Fedora Update System 2010-05-10 23:42:49 UTC
stress-1.0.4-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-05-11 19:39:21 UTC
stress-1.0.4-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Gwyn Ciesla 2010-11-13 03:22:46 UTC
Package Change Request
======================
Package Name: stress
New Branches: el6
Owners: limb

Comment 18 Jason Tibbitts 2010-11-13 16:48:37 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.